summaryrefslogtreecommitdiffstats
path: root/source/a/gptfdisk/gptfdisk.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/gptfdisk/gptfdisk.SlackBuild')
-rwxr-xr-xsource/a/gptfdisk/gptfdisk.SlackBuild8
1 files changed, 6 insertions, 2 deletions
diff --git a/source/a/gptfdisk/gptfdisk.SlackBuild b/source/a/gptfdisk/gptfdisk.SlackBuild
index 431161a5d..96c74cbc2 100755
--- a/source/a/gptfdisk/gptfdisk.SlackBuild
+++ b/source/a/gptfdisk/gptfdisk.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# Copyright 2011 Eric Hameleers, Eindhoven, NL
-# Copyright 2011, 2012, 2017, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2011, 2012, 2017, 2018, 2022 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gptfdisk
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -72,6 +72,10 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
+zcat $CWD/util-linux-2.38.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/popt-1.19.patch.gz | patch -p1 --verbose || exit 1
+zcat $CWD/popt-1.19-follow-up.patch.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \